package com.gic.haoban.manage.service.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.service.entity.TabHaobanDepartment;
import com.github.pagehelper.Page;

public interface DepartmentMapper {
    int deleteByPrimaryKey(String departmentId);

    int insert(TabHaobanDepartment record);

    int insertSelective(TabHaobanDepartment record);

    TabHaobanDepartment selectByPrimaryKey(String departmentId);

    int updateByPrimaryKeySelective(TabHaobanDepartment record);

    int updateByPrimaryKey(TabHaobanDepartment record);

	List<TabHaobanDepartment> listByParentId(@Param("parentId")String parentId);

	int selectMaxSort(@Param("parentDepartmentId")String parentDepartmentId);

	TabHaobanDepartment selectByRelatedId(@Param("relatedId")String relatedId);

	Page<TabHaobanDepartment> pageDepartmentByParams(@Param("wxEnterpriseId")String wxEnterpriseId, @Param("keyword")String keyword, 
			@Param("storeFlag")Integer storeFlag, @Param("recycleFlag")Integer recycleFlag);
}