package com.gic.haoban.manage.service.service;

import java.util.List;

import com.gic.haoban.manage.api.dto.DepartmentDTO;
import com.gic.haoban.manage.service.entity.TabHaobanDepartment;
import com.github.pagehelper.Page;

public interface DepartmentService {

	List<TabHaobanDepartment> listByParentId(String parentId);

	TabHaobanDepartment selectById(String departmentId);

	String add(DepartmentDTO department);

	void edit(DepartmentDTO department);

	void del(String departmentId);

	TabHaobanDepartment selectByRelatedId(String relatedId);

	void recycle(String departmentId);

	Page<TabHaobanDepartment> pageDepartmentByParams(String wxEnterpriseId, String keyword, Integer storeFlag, Integer recycleFlag);

	void repairRecycle(String departmentId);

}
