package com.gic.haoban.manage.service.service.out.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.commons.util.EntityUtil;
import com.gic.haoban.manage.api.dto.StaffDTO;
import com.gic.haoban.manage.api.service.StaffApiService;
import com.gic.haoban.manage.service.entity.TabHaobanStaff;
import com.gic.haoban.manage.service.service.StaffService;

@Service
public class StaffApiServiceImpl implements StaffApiService {
	
	@Autowired
	StaffService staffService;

	@Override
	public StaffDTO selectById(String staffId) {
		TabHaobanStaff staff = staffService.selectById(staffId);
		return EntityUtil.changeEntityByJSON(StaffDTO.class, staff);
	}

}
